Compare commits
48 commits
| Author | SHA1 | Date | |
|---|---|---|---|
|
|
b8b5c9c068 | ||
|
|
e738207be3 | ||
|
|
6c9b8623ec | ||
|
|
d9e3a94bc1 | ||
|
|
7b28be2f5e | ||
|
|
286b8ceca2 | ||
|
|
8717617bac | ||
|
|
593a6a35bd | ||
|
|
be8ac5da39 | ||
|
|
fe012d61e0 |
||
|
|
474ace809b | ||
|
|
07003a9da8 | ||
|
|
3454728c01 | ||
|
|
59331031eb | ||
|
|
bd1676367f | ||
|
|
c300ebc9d5 | ||
|
|
0f8218cb77 | ||
|
|
60cfed3601 | ||
|
|
5afc22e5d7 | ||
|
|
dafdc69b15 | ||
|
|
bad1f3b086 | ||
|
|
5762ce643c | ||
|
|
1391863839 | ||
|
|
76f17c59b1 | ||
|
|
648295049a | ||
|
|
5d78b1089b | ||
|
|
667c5bf917 | ||
|
|
447d5e23c2 | ||
|
|
09110f3bca | ||
|
|
044bc21dff | ||
|
|
6aabb7df35 | ||
|
|
78add71f21 | ||
|
|
c7749c3001 | ||
|
|
fc38991e1a | ||
|
|
520cf67553 | ||
|
|
567b2baa7f | ||
|
|
902d153703 | ||
|
|
f86bb4a527 | ||
|
|
5a2b8eb5c7 | ||
|
|
6d2e085d4e | ||
|
|
a1bac92a9c | ||
|
|
d1960b2cb8 | ||
|
|
ab2b3dc2d7 | ||
|
|
c51b18141c | ||
|
|
241a0cb76e | ||
|
|
7e4de06e6d | ||
|
|
14892db16d | ||
|
|
61aac70249 |
5 changed files with 563 additions and 122 deletions
30
.gitignore
vendored
30
.gitignore
vendored
|
|
@ -1,5 +1,33 @@
|
|||
/*.tar.xz
|
||||
/ccache-3.7.4.tar.gz
|
||||
/ccache-3.7.1.tar.gz
|
||||
/ccache-3.7.5.tar.gz
|
||||
/ccache-3.7.6.tar.gz
|
||||
/ccache-3.7.7.tar.gz
|
||||
/ccache-3.7.8.tar.gz
|
||||
/ccache-3.7.9.tar.gz
|
||||
/ccache-3.7.11.tar.gz
|
||||
/ccache-3.7.12.tar.gz
|
||||
/ccache-4.0.tar.gz
|
||||
/ccache-4.1.tar.gz
|
||||
/ccache-4.2.tar.gz
|
||||
/ccache-4.2.1.tar.gz
|
||||
/ccache-4.4.2.tar.gz
|
||||
/ccache-4.5.1.tar.gz
|
||||
/ccache-4.6.1.tar.gz
|
||||
/ccache-4.6.3.tar.gz
|
||||
/ccache-4.7.3.tar.gz
|
||||
/ccache-4.7.4.tar.gz
|
||||
/ccache-4.7.5.tar.gz
|
||||
/ccache-4.8.tar.gz
|
||||
/ccache-4.8.2.tar.gz
|
||||
/ccache-4.8.3.tar.gz
|
||||
/ccache-4.9.tar.gz
|
||||
/ccache-4.9.1.tar.gz
|
||||
/ccache-4.10.tar.gz
|
||||
/ccache-4.10.1.tar.gz
|
||||
/ccache-4.10.2.tar.gz
|
||||
/ccache-4.11.1.tar.gz
|
||||
/ccache-4.11.2.tar.gz
|
||||
/ccache-4.11.3.tar.gz
|
||||
/ccache-4.12.1.tar.gz
|
||||
/ccache-4.12.2.tar.gz
|
||||
|
|
|
|||
|
|
@ -1,63 +0,0 @@
|
|||
From 5fb7b910512226c487c7cc1fcb546618999e0776 Mon Sep 17 00:00:00 2001
|
||||
From: Michael Cullen <michael.cullen@youview.com>
|
||||
Date: Mon, 16 Apr 2018 15:39:00 +0100
|
||||
Subject: [PATCH] Recreated upstream headless commit
|
||||
7091db4cc0286a3254107c4f29e3f9b8d183fca1
|
||||
|
||||
Upstream referenced a headless commit in https://github.com/ccache/ccache/issues/248
|
||||
This recreates it so I can make a patch of it
|
||||
---
|
||||
src/cleanup.c | 7 +++++--
|
||||
test/suites/cleanup.bash | 4 ++--
|
||||
2 files changed, 7 insertions(+), 4 deletions(-)
|
||||
|
||||
diff --git a/src/cleanup.c b/src/cleanup.c
|
||||
index 8c46eac..a86e1ea 100644
|
||||
--- a/src/cleanup.c
|
||||
+++ b/src/cleanup.c
|
||||
@@ -17,6 +17,9 @@
|
||||
|
||||
#include "ccache.h"
|
||||
|
||||
+#include <float.h>
|
||||
+#include <math.h>
|
||||
+
|
||||
static struct files {
|
||||
char *fname;
|
||||
time_t mtime;
|
||||
@@ -162,8 +165,8 @@ clean_up_dir(struct conf *conf, const char *dir, float limit_multiple)
|
||||
// When "max files" or "max cache size" is reached, one of the 16 cache
|
||||
// subdirectories is cleaned up. When doing so, files are deleted (in LRU
|
||||
// order) until the levels are below limit_multiple.
|
||||
- cache_size_threshold = conf->max_size * limit_multiple / 16;
|
||||
- files_in_cache_threshold = conf->max_files * limit_multiple / 16;
|
||||
+ cache_size_threshold = roundf(conf->max_size * limit_multiple / 16);
|
||||
+ files_in_cache_threshold = roundf(conf->max_files * limit_multiple / 16);
|
||||
|
||||
num_files = 0;
|
||||
cache_size = 0;
|
||||
diff --git a/test/suites/cleanup.bash b/test/suites/cleanup.bash
|
||||
index 8eaac4f..45dccb0 100644
|
||||
--- a/test/suites/cleanup.bash
|
||||
+++ b/test/suites/cleanup.bash
|
||||
@@ -152,7 +152,7 @@ SUITE_cleanup() {
|
||||
TEST ".o file is removed before .stderr"
|
||||
|
||||
prepare_cleanup_test_dir $CCACHE_DIR/a
|
||||
- $CCACHE -F 474 -M 0 >/dev/null
|
||||
+ $CCACHE -F 464 -M 0 >/dev/null
|
||||
backdate 0 $CCACHE_DIR/a/result9-4017.stderr
|
||||
$CCACHE -c >/dev/null
|
||||
expect_file_missing $CCACHE_DIR/a/result9-4017.stderr
|
||||
@@ -167,7 +167,7 @@ SUITE_cleanup() {
|
||||
TEST ".stderr file is not removed before .o"
|
||||
|
||||
prepare_cleanup_test_dir $CCACHE_DIR/a
|
||||
- $CCACHE -F 474 -M 0 >/dev/null
|
||||
+ $CCACHE -F 464 -M 0 >/dev/null
|
||||
backdate 0 $CCACHE_DIR/a/result9-4017.o
|
||||
$CCACHE -c >/dev/null
|
||||
expect_file_exists $CCACHE_DIR/a/result9-4017.stderr
|
||||
--
|
||||
2.14.3
|
||||
|
||||
|
|
@ -1,35 +0,0 @@
|
|||
From b2651f37dc24a6829ab785bd6ac885b8bccedfce Mon Sep 17 00:00:00 2001
|
||||
From: Joel Rosdahl <joel@rosdahl.net>
|
||||
Date: Sat, 22 Feb 2020 22:18:48 +0100
|
||||
Subject: [PATCH] Add pch test suite probe for seemingly broken compiler
|
||||
support
|
||||
|
||||
This fixes a problem mentioned by Orion Poplawski in a comment to PR #217.
|
||||
|
||||
(cherry picked from commit 0d06da7803c082b43cdccfcdfd56911ba4e7d458)
|
||||
---
|
||||
test/suites/pch.bash | 11 +++++++++--
|
||||
1 file changed, 9 insertions(+), 2 deletions(-)
|
||||
|
||||
diff --git a/test/suites/pch.bash b/test/suites/pch.bash
|
||||
index caf82c45..f779a36f 100644
|
||||
--- a/test/suites/pch.bash
|
||||
+++ b/test/suites/pch.bash
|
||||
@@ -1,8 +1,15 @@
|
||||
SUITE_pch_PROBE() {
|
||||
- touch pch.h
|
||||
+ touch pch.h empty.c
|
||||
+ mkdir dir
|
||||
+
|
||||
if ! $REAL_COMPILER $SYSROOT -fpch-preprocess pch.h 2>/dev/null \
|
||||
|| [ ! -f pch.h.gch ]; then
|
||||
- echo "compiler ($($COMPILER --version | head -1)) doesn't support precompiled headers"
|
||||
+ echo "compiler ($($COMPILER --version | head -n 1)) doesn't support precompiled headers"
|
||||
+ fi
|
||||
+
|
||||
+ $REAL_COMPILER $SYSROOT -c pch.h -o dir/pch.h.gch 2>/dev/null
|
||||
+ if ! $REAL_COMPILER $SYSROOT -c -include dir/pch.h empty.c 2>/dev/null; then
|
||||
+ echo "compiler ($($COMPILER --version | head -n 1)) seems to have broken support for precompiled headers"
|
||||
fi
|
||||
}
|
||||
|
||||
555
ccache.spec
555
ccache.spec
|
|
@ -12,26 +12,40 @@
|
|||
%global relccache %(%abs2rel %{_bindir}/ccache %{_libdir}/ccache)
|
||||
|
||||
Name: ccache
|
||||
Version: 3.7.7
|
||||
Version: 4.12.2
|
||||
Release: 1%{?dist}
|
||||
Summary: C/C++ compiler cache
|
||||
|
||||
License: GPLv3+
|
||||
# See LICENSE.adoc for licenses of bundled codes
|
||||
# blake3 is Apache-2.0
|
||||
# span.hpp is BSL-1.0
|
||||
# url.cpp/hpp is MIT
|
||||
License: GPL-3.0-or-later AND Apache-2.0 AND BSL-1.0 AND MIT
|
||||
URL: http://ccache.dev/
|
||||
Source0: https://github.com/ccache/ccache/releases/download/v%{version}/%{name}-%{version}.tar.gz
|
||||
Source1: %{name}.sh.in
|
||||
Source2: %{name}.csh.in
|
||||
# Upstream fix for EL8 compiler support
|
||||
Patch0: https://github.com/ccache/ccache/commit/b2651f37dc24a6829ab785bd6ac885b8bccedfce.patch
|
||||
|
||||
BuildRequires: perl(File::Spec)
|
||||
BuildRequires: zlib-devel >= 1.2.3
|
||||
BuildRequires: /usr/bin/asciidoctor
|
||||
BuildRequires: cmake
|
||||
# Uses a patched version and is missing on i686 in Fedora
|
||||
#BuildRequires: blake3-devel
|
||||
BuildRequires: cpp-httplib-devel
|
||||
BuildRequires: doctest-devel
|
||||
BuildRequires: expected-devel
|
||||
BuildRequires: fmt-devel
|
||||
BuildRequires: hiredis-devel
|
||||
BuildRequires: libzstd-devel
|
||||
BuildRequires: perl perl(File::Spec)
|
||||
BuildRequires: xxhash-devel
|
||||
# clang for additional tests
|
||||
BuildRequires: clang
|
||||
BuildRequires: clang clang-tools-extra
|
||||
# coreutils for triggerin, triggerpostun
|
||||
Requires: coreutils
|
||||
# For groupadd
|
||||
Requires(pre): shadow-utils
|
||||
Provides: bundled(blake3) = 1.5.1
|
||||
Provides: bundled(span-lite) = 0.11.0
|
||||
Provides: bundled(cxxurl)
|
||||
|
||||
%description
|
||||
ccache is a compiler cache. It speeds up recompilation of C/C++ code
|
||||
|
|
@ -42,23 +56,29 @@ being done again. The main focus is to handle the GNU C/C++ compiler
|
|||
|
||||
%prep
|
||||
%autosetup -p1
|
||||
# win32-compat gets imported, but not used
|
||||
rm -r src/third_party/{[ad-lo-tvy-z]*,cpp-httplib}
|
||||
sed -e 's|@LIBDIR@|%{_libdir}|g' -e 's|@CACHEDIR@|%{_var}/cache/ccache|g' \
|
||||
%{SOURCE1} > %{name}.sh
|
||||
sed -e 's|@LIBDIR@|%{_libdir}|g' -e 's|@CACHEDIR@|%{_var}/cache/ccache|g' \
|
||||
%{SOURCE2} > %{name}.csh
|
||||
# Make sure system zlib is used
|
||||
rm -r src/zlib
|
||||
|
||||
# Create a sysusers.d config file
|
||||
cat >ccache.sysusers.conf <<EOF
|
||||
g ccache -
|
||||
EOF
|
||||
|
||||
|
||||
%build
|
||||
%configure
|
||||
make %{?_smp_mflags}
|
||||
%cmake
|
||||
%cmake_build
|
||||
%cmake_build --target doc
|
||||
|
||||
|
||||
%install
|
||||
rm -rf $RPM_BUILD_ROOT
|
||||
%cmake_install
|
||||
|
||||
%make_install
|
||||
install -Dpm 644 %{__cmake_builddir}/doc/ccache.1 $RPM_BUILD_ROOT%{_mandir}/man1/ccache.1
|
||||
|
||||
install -dm 755 $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
|
||||
install -pm 644 %{name}.sh %{name}.csh $RPM_BUILD_ROOT%{_sysconfdir}/profile.d
|
||||
|
|
@ -91,11 +111,13 @@ done
|
|||
find $RPM_BUILD_ROOT%{_libdir}/ccache -type l | \
|
||||
sed -e "s|^$RPM_BUILD_ROOT|%%ghost |" > %{name}-%{version}.compilers
|
||||
|
||||
install -m0644 -D ccache.sysusers.conf %{buildroot}%{_sysusersdir}/ccache.conf
|
||||
|
||||
install -m0644 README.md %{buildroot}%{_pkgdocdir}/
|
||||
|
||||
|
||||
%check
|
||||
make check
|
||||
# Fails with clang 3.4.2 in EL7
|
||||
make check CC=clang %{?el7:|| :}
|
||||
%ctest
|
||||
|
||||
|
||||
%define ccache_trigger(p:) \
|
||||
|
|
@ -202,23 +224,512 @@ done\
|
|||
%ccache_trigger -p gcc-xtensa-linux-gnu xtensa-linux-gnu-gcc
|
||||
%ccache_trigger -p gcc-c++-xtensa-linux-gnu xtensa-linux-gnu-c++ xtensa-linux-gnu-g++
|
||||
|
||||
%pre
|
||||
getent group ccache >/dev/null || groupadd -r ccache || :
|
||||
|
||||
|
||||
%files -f %{name}-%{version}.compilers
|
||||
%license GPL-3.0.txt LICENSE.*
|
||||
%doc doc/AUTHORS.* doc/MANUAL.* doc/NEWS.* README.md
|
||||
%{_pkgdocdir}/
|
||||
%config(noreplace) %{_sysconfdir}/profile.d/%{name}.*sh
|
||||
%{_bindir}/ccache
|
||||
%dir %{_libdir}/ccache/
|
||||
%attr(2770,root,ccache) %dir %{_var}/cache/ccache/
|
||||
%{_mandir}/man1/ccache.1*
|
||||
%{_sysusersdir}/ccache.conf
|
||||
|
||||
|
||||
%changelog
|
||||
* Thu Nov 27 2025 Orion Poplawski <orion@nwra.com> - 4.12.2-1
|
||||
- Update to 4.12.2
|
||||
|
||||
* Thu Oct 02 2025 Orion Poplawski <orion@nwra.com> - 4.12.1-1
|
||||
- Update to 4.12.1
|
||||
|
||||
* Wed Jul 23 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.11.3-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_43_Mass_Rebuild
|
||||
|
||||
* Fri May 09 2025 Orion Poplawski <orion@nwra.com> - 4.11.3-1
|
||||
- Update to 4.11.3
|
||||
|
||||
* Tue Mar 25 2025 Orion Poplawski <orion@nwra.com> - 4.11.2-1
|
||||
- Update to 4.11.2
|
||||
|
||||
* Tue Mar 18 2025 Orion Poplawski <orion@nwra.com> - 4.11.1-1
|
||||
- Update to 4.11.1
|
||||
|
||||
* Tue Feb 11 2025 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.10.2-3
|
||||
- Add sysusers.d config file to allow rpm to create users/groups automatically
|
||||
|
||||
* Thu Jan 16 2025 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.2-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild
|
||||
|
||||
* Wed Jul 31 2024 Orion Poplawski <orion@nwra.com> - 4.10.2-1
|
||||
- Update to 4.10.2
|
||||
|
||||
* Fri Jul 26 2024 Kefu Chai <tchaikov@gmail.com> - 4.10.1-3
|
||||
- Rebuilt for fmt 11
|
||||
|
||||
* Wed Jul 17 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.10.1-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild
|
||||
|
||||
* Fri Jul 12 2024 Orion Poplawski <orion@nwra.com> - 4.10.1-1
|
||||
- Update to 4.10.1
|
||||
|
||||
* Sun Jun 02 2024 Orion Poplawski <orion@nwra.com> - 4.10-1
|
||||
- Update to 4.10
|
||||
|
||||
* Sat May 11 2024 Kevin Fenzi <kevin@scrye.com> - 4.9.1-2
|
||||
- rebuild for hiredis soname bump
|
||||
|
||||
* Tue Feb 06 2024 Orion Poplawski <orion@nwra.com> - 4.9.1-1
|
||||
- Update to 4.9.1
|
||||
- Unbundle some libraries
|
||||
- Use SPDX license
|
||||
- Add licenses for bundled code
|
||||
|
||||
* Tue Jan 23 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.3-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
|
||||
|
||||
* Fri Jan 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.3-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild
|
||||
|
||||
* Fri Sep 01 2023 Orion Poplawski <orion@nwra.com> - 4.8.3-1
|
||||
- Update to 4.8.3
|
||||
|
||||
* Wed Jul 19 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.8.2-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild
|
||||
|
||||
* Fri Jun 16 2023 Orion Poplawski <orion@nwra.com> - 4.8.2-1
|
||||
- Update to 4.8.2
|
||||
|
||||
* Wed Apr 05 2023 Orion Poplawski <orion@nwra.com> - 4.8-1
|
||||
- Update to 4.8 (fixes bz#2160275)
|
||||
|
||||
* Wed Mar 22 2023 Orion Poplawski <orion@nwra.com> - 4.7.5-1
|
||||
- Update to 4.7.5
|
||||
|
||||
* Wed Jan 18 2023 Fedora Release Engineering <releng@fedoraproject.org> - 4.7.4-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild
|
||||
|
||||
* Sat Dec 10 2022 Orion Poplawski <orion@nwra.com> - 4.7.4-1
|
||||
- Update to 4.7.4
|
||||
|
||||
* Mon Nov 07 2022 Orion Poplawski <orion@nwra.com> - 4.7.3-1
|
||||
- Update to 4.7.3
|
||||
|
||||
* Sat Oct 01 2022 Orion Poplawski <orion@nwra.com> - 4.6.3-1
|
||||
- Update to 4.6.3
|
||||
|
||||
* Wed Jul 20 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.6.1-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild
|
||||
|
||||
* Mon May 16 2022 Orion Poplawski <orion@nwra.com> - 4.6.1-1
|
||||
- Update to 4.6.1
|
||||
|
||||
* Wed Jan 19 2022 Fedora Release Engineering <releng@fedoraproject.org> - 4.5.1-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild
|
||||
|
||||
* Mon Jan 17 2022 Kevin Fenzi <kevin@scrye.com> - 4.5.1-2
|
||||
- Rebuild for hiredis 1.0.2
|
||||
|
||||
* Sun Dec 05 2021 Orion Poplawski <orion@nwra.com> - 4.5.1-1
|
||||
- Update to 4.5.1
|
||||
|
||||
* Wed Oct 27 2021 Orion Poplawski <orion@nwra.com> - 4.4.2-1
|
||||
- Update to 4.4.2
|
||||
|
||||
* Wed Jul 21 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.2.1-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild
|
||||
|
||||
* Fri Apr 02 2021 Orion Poplawski <orion@nwra.com> - 4.2.1-1
|
||||
- Update to 4.2.1
|
||||
|
||||
* Wed Feb 03 2021 Orion Poplawski <orion@nwra.com> - 4.2-1
|
||||
- Update to 4.2
|
||||
|
||||
* Tue Jan 26 2021 Fedora Release Engineering <releng@fedoraproject.org> - 4.1-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild
|
||||
|
||||
* Sat Jan 02 2021 Łukasz Patron <priv.luk@gmail.com> - 4.1-1
|
||||
- Update to 4.1
|
||||
|
||||
* Tue Oct 27 2020 Łukasz Patron <priv.luk@gmail.com> - 4.0-1
|
||||
- Update to 4.0
|
||||
|
||||
* Thu Oct 1 2020 Orion Poplawski <orion@nwra.com> - 3.7.12-1
|
||||
- Update to 3.7.12
|
||||
|
||||
* Sat Aug 15 2020 Orion Poplawski <orion@nwra.com> - 3.7.11-1
|
||||
- Update to 3.7.11
|
||||
|
||||
* Fri Aug 07 2020 Jeff Law <law@redhat.com> - 3.7.9-4
|
||||
- Depend on perl
|
||||
|
||||
* Sat Aug 01 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.9-3
|
||||
- Second attempt - Rebuilt for
|
||||
https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
|
||||
|
||||
* Mon Jul 27 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.9-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild
|
||||
|
||||
* Mon Mar 30 2020 LuK1337 <priv.luk@gmail.com> - 3.7.9-1
|
||||
- Update to 3.7.9
|
||||
|
||||
* Thu Mar 26 2020 LuK1337 <priv.luk@gmail.com> - 3.7.8-1
|
||||
- Update to 3.7.8
|
||||
|
||||
* Tue Feb 18 2020 Orion Poplawski <orion@nwra.com> - 3.7.7-1
|
||||
- Update to 3.7.7
|
||||
|
||||
* Wed Sep 18 2019 Devrim Gündüz <devrim@gunduz.org> - 3.7.4-1
|
||||
- Initial packaging for EPEL 8
|
||||
* Tue Jan 28 2020 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.6-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
|
||||
|
||||
* Thu Nov 21 2019 LuK1337 <priv.luk@gmail.com> - 3.7.6-1
|
||||
- Updated to 3.7.6
|
||||
|
||||
* Thu Oct 24 2019 Michael Cullen <mich181189@fedoraproject.org> - 3.7.5-1
|
||||
- Updated to 3.7.5
|
||||
- Updated upstream URL
|
||||
|
||||
* Wed Jul 24 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.7.1-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild
|
||||
|
||||
* Mon May 20 2019 Michael Cullen <mich181189@fedoraproject.org> - 3.7.1-1
|
||||
- Updated to 3.7.1
|
||||
|
||||
* Thu Jan 31 2019 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.3-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_30_Mass_Rebuild
|
||||
|
||||
* Mon Sep 24 2018 Michael Cullen <mich181189@fedoraproject.org> - 3.4.3-1
|
||||
- Update to 3.4.3 (bugfix release)
|
||||
|
||||
* Tue Aug 28 2018 Major Hayden <major@redhat.com> - 3.4.2-4
|
||||
- Added powerpc64le/ppc64le to ccache_trigger list
|
||||
|
||||
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.4.2-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild
|
||||
|
||||
* Mon Apr 16 2018 Michael Cullen <mich181189@fedoraproject.org> - 3.4.2-2
|
||||
- Fix i386 build error
|
||||
|
||||
* Wed Apr 11 2018 Michael Cullen <mich181189@fedoraproject.org> - 3.4.2-1
|
||||
- Update to new version
|
||||
|
||||
* Fri Feb 16 2018 Michael Cullen <mich181189@fedoraproject.org> - 3.4.1-1
|
||||
- Update to new version
|
||||
|
||||
* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.5-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild
|
||||
|
||||
* Sun Jan 14 2018 Michael Cullen <mich181189@fedoraproject.org> - 3.3.5-1
|
||||
- Update to new version
|
||||
|
||||
* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild
|
||||
|
||||
* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.4-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
|
||||
|
||||
* Sat Feb 18 2017 Ville Skyttä <ville.skytta@iki.fi> - 3.3.4-1
|
||||
- Update to 3.3.4
|
||||
|
||||
* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 3.3.3-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild
|
||||
|
||||
* Fri Oct 28 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.3.3-1
|
||||
- Update to 3.3.3
|
||||
|
||||
* Thu Sep 29 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.3.2-1
|
||||
- Update to 3.3.2
|
||||
|
||||
* Thu Sep 8 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.3.1-1
|
||||
- Update to 3.3.1, fixes #1373295
|
||||
|
||||
* Sun Aug 28 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.3-1
|
||||
- Update to 3.3
|
||||
- Run tests with clang too
|
||||
|
||||
* Wed Aug 10 2016 Orion Poplawski <orion@cora.nwra.com> - 3.2.7-3
|
||||
- Add needed requires for groupadd
|
||||
|
||||
* Tue Jul 26 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.2.7-2
|
||||
- Turn on CCACHE_CPP2 by default, fixes #1350086
|
||||
|
||||
* Wed Jul 20 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.2.7-1
|
||||
- Update to 3.2.7, fixes #1307367
|
||||
- Add nacl*-gcc symlink triggers
|
||||
|
||||
* Thu Jul 14 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.2.6-1
|
||||
- Update to 3.2.6
|
||||
|
||||
* Mon Apr 18 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.2.5-1
|
||||
- Update to 3.2.5
|
||||
|
||||
* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 3.2.4-3
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild
|
||||
|
||||
* Tue Jan 26 2016 Ville Skyttä <ville.skytta@iki.fi> - 3.2.4-2
|
||||
- Remove unnecessary %%defattr
|
||||
|
||||
* Fri Oct 9 2015 Ville Skyttä <ville.skytta@iki.fi> - 3.2.4-1
|
||||
- Update to 3.2.4
|
||||
|
||||
* Mon Aug 17 2015 Ville Skyttä <ville.skytta@iki.fi> - 3.2.3-1
|
||||
- Update to 3.2.3, fixes #1227819 and #1247493
|
||||
|
||||
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.2.2-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild
|
||||
|
||||
* Mon May 11 2015 Ville Skyttä <ville.skytta@iki.fi> - 3.2.2-1
|
||||
- Update to 3.2.2
|
||||
- Add bunch of missing cross-gcc and c++ symlink triggers (#1205187)
|
||||
- Fix cross-gcc symlink ownerships
|
||||
|
||||
* Fri Dec 12 2014 Ville Skyttä <ville.skytta@iki.fi> - 3.2.1-1
|
||||
- Update to 3.2.1
|
||||
|
||||
* Sun Nov 30 2014 Ville Skyttä <ville.skytta@iki.fi> - 3.2-1
|
||||
- Update to 3.2
|
||||
|
||||
* Mon Oct 20 2014 Ville Skyttä <ville.skytta@iki.fi> - 3.1.10-1
|
||||
- Update to 3.1.10
|
||||
|
||||
* Wed Sep 10 2014 Ville Skyttä <ville.skytta@iki.fi> - 3.1.9-7
|
||||
- Add clang and clang++ symlink triggers (#1140349, Jan Kratochvil)
|
||||
- Mark license files as %%license where applicable
|
||||
|
||||
* Fri Aug 15 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.9-6
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild
|
||||
|
||||
* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.9-5
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild
|
||||
|
||||
* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.9-4
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild
|
||||
|
||||
* Sun Mar 31 2013 Ville Skyttä <ville.skytta@iki.fi> - 3.1.9-3
|
||||
- Apply upstream fix for gcc 4.8 test suite failure (#913915).
|
||||
- Add arm-none-eabi and cross-gcc symlink triggers.
|
||||
- Fix bogus dates in %%changelog.
|
||||
|
||||
* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.9-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild
|
||||
|
||||
* Wed Jan 9 2013 Ville Skyttä <ville.skytta@iki.fi> - 3.1.9-1
|
||||
- Update to 3.1.9.
|
||||
|
||||
* Sat Aug 18 2012 Ville Skyttä <ville.skytta@iki.fi> - 3.1.8-1
|
||||
- Update to 3.1.8, fixes #783971.
|
||||
- Update mingw* symlink triggers.
|
||||
|
||||
* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 3.1.7-2
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild
|
||||
|
||||
* Sun Jan 8 2012 Ville Skyttä <ville.skytta@iki.fi> - 3.1.7-1
|
||||
- Update to 3.1.7.
|
||||
|
||||
* Sun Dec 4 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.1.6-2
|
||||
- Turn on CCACHE_HASHDIR by default (#759592, Jan Kratochvil).
|
||||
|
||||
* Mon Aug 22 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.1.6-1
|
||||
- Update to 3.1.6.
|
||||
|
||||
* Mon May 30 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.1.5-1
|
||||
- Update to 3.1.5.
|
||||
|
||||
* Sat Apr 2 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.1.4-4
|
||||
- Replace Requires(trigger*) with plain requires to appease rpmbuild >= 4.9.
|
||||
|
||||
* Sat Apr 2 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.1.4-3
|
||||
- Reset non-working cache dir related env settings on user switch (#651023).
|
||||
|
||||
* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org>
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild
|
||||
|
||||
* Fri Jan 14 2011 Ville Skyttä <ville.skytta@iki.fi> - 3.1.4-1
|
||||
- Update to 3.1.4.
|
||||
|
||||
* Sun Dec 5 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.1.3-2
|
||||
- Update compiler executable lists, make their package triggers more targeted.
|
||||
- Auto-symlink mingw32-gcc(-c++) compilers.
|
||||
|
||||
* Sun Nov 28 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.1.3-1
|
||||
- Update to 3.1.3, fixes #657857.
|
||||
|
||||
* Tue Nov 23 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.1.2-1
|
||||
- Update to 3.1.2.
|
||||
|
||||
* Thu Nov 18 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.1.1-1
|
||||
- Update to 3.1.1.
|
||||
|
||||
* Sat Sep 18 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.1-1
|
||||
- Update to 3.1, fixes #610853.
|
||||
- Make sh profile script "nounset" clean.
|
||||
|
||||
* Fri Jul 16 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.0.1-1
|
||||
- Update to 3.0.1.
|
||||
|
||||
* Sat Jul 3 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.0-1
|
||||
- Update to 3.0, no-strip patch no longer needed.
|
||||
|
||||
* Fri Jun 4 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.0-0.2.pre1
|
||||
- Reintroduce minor profile.d script performance improvements.
|
||||
|
||||
* Thu May 13 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.0-0.1.pre1
|
||||
- Update to 3.0pre1 (#591040), license changed to GPLv3+.
|
||||
|
||||
* Mon Mar 1 2010 Ville Skyttä <ville.skytta@iki.fi> - 3.0-0.1.pre0
|
||||
- Update to 3.0pre0, all old patches applied/superseded upstream.
|
||||
Note: old caches will no longer be used, see NEWS for details.
|
||||
- Don't use "pathmunge" in the profile.d sh script to work around #548960.
|
||||
- Patch to avoid stripping the binary during build.
|
||||
- Add auto-symlink support for gcc44(-c++) and msp430-gcc.
|
||||
- Run test suite during build.
|
||||
- Update description.
|
||||
|
||||
* Sat Dec 19 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.4-17
|
||||
- Minor profile.d script performance improvements.
|
||||
- Fix hardcoded /var/cache/ccache in profile.d scripts.
|
||||
|
||||
* Mon Aug 10 2009 Ville Skyttä <ville.skytta@iki.fi> - 2.4-16
|
||||
- Switch #438201 patch URL to Debian patch tracking (original is MIA).
|
||||
|
||||
* Fri Jul 24 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-15
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_12_Mass_Rebuild
|
||||
|
||||
* Mon Feb 23 2009 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.4-14
|
||||
- Rebuilt for https://fedoraproject.org/wiki/Fedora_11_Mass_Rebuild
|
||||
|
||||
* Wed Mar 19 2008 Ville Skyttä <ville.skytta@iki.fi> - 2.4-13
|
||||
- Apply patch to fix path to saved dependency files (#438201).
|
||||
|
||||
* Sat Feb 9 2008 Ville Skyttä <ville.skytta@iki.fi> - 2.4-12
|
||||
- Rebuild.
|
||||
|
||||
* Tue Oct 2 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.4-11
|
||||
- Apply upstream fix for problems when $HOME is not set (#315441).
|
||||
|
||||
* Wed Aug 22 2007 Ville Skyttä <ville.skytta@iki.fi>
|
||||
- Fix URL to upstream tarball.
|
||||
|
||||
* Sun Aug 19 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.4-10
|
||||
- License: GPLv2+
|
||||
- Make compiler symlinks relative.
|
||||
- Make profile.d scripts noreplace.
|
||||
|
||||
* Mon Jul 30 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.4-9
|
||||
- Use shared cache dir for users in the ccache group by default
|
||||
(#247760, based on Andy Shevchenko's work).
|
||||
- Fix outdated hardlink info in cache sharing docs.
|
||||
- Add auto-symlink support for avr-gcc(-c++) and arm-gp2x-linux-gcc(-c++).
|
||||
- Make triggers always exit with a zero exit status.
|
||||
|
||||
* Thu Mar 15 2007 Ville Skyttä <ville.skytta@iki.fi> - 2.4-8
|
||||
- Bypass cache with --coverage, -fprofile-arcs and -ftest-coverage
|
||||
(upstream CVS and Matt Fago, #231462).
|
||||
|
||||
* Fri Nov 10 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.4-7
|
||||
- Require coreutils for triggers (#215030).
|
||||
|
||||
* Wed Aug 9 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.4-6
|
||||
- Add auto-symlink support for compat-gcc-34(-c++).
|
||||
- Untabify, escape macros in changelog.
|
||||
|
||||
* Tue May 16 2006 Ville Skyttä <ville.skytta@iki.fi> - 2.4-5
|
||||
- Add auto-symlink support for g++-libstdc++-so_7.
|
||||
|
||||
* Sat Nov 26 2005 Ville Skyttä <ville.skytta@iki.fi> - 2.4-4
|
||||
- Drop "bin" from compiler symlink path.
|
||||
- Make profile.d snippets non-executable (#35714).
|
||||
|
||||
* Sun May 1 2005 Ville Skyttä <ville.skytta@iki.fi> - 2.4-3
|
||||
- Auto-symlink update: add compat-gcc-32 and compat-gcc-32-c++, drop
|
||||
bunch of no longer relevant compilers.
|
||||
|
||||
* Wed Apr 6 2005 Michael Schwendt <mschwendt[AT]users.sf.net> - 2.4-2
|
||||
- rebuilt
|
||||
|
||||
* Sun Sep 26 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:2.4-0.fdr.1
|
||||
- Update to 2.4.
|
||||
- Add symlinking support for gcc4 and gcc4-c++.
|
||||
- Move the ccache executable to %%{_bindir}.
|
||||
- Include more docs.
|
||||
|
||||
* Fri Jun 25 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3-0.fdr.5
|
||||
- Add support for gcc33 and g++33.
|
||||
|
||||
* Thu Jun 10 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3-0.fdr.4
|
||||
- Fix hardcoded lib path in profile.d scriptlets (bug 1558).
|
||||
|
||||
* Mon May 3 2004 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3-0.fdr.3
|
||||
- Add support for gcc34 and g++34, and
|
||||
%%{_target_cpu}-%%{_vendor}-%%{_target_os}-* variants.
|
||||
|
||||
* Thu Nov 13 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3-0.fdr.2
|
||||
- Add overriding symlinks for gcc-ssa and g++-ssa (bug 963).
|
||||
|
||||
* Tue Nov 11 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.3-0.fdr.1
|
||||
- Update to 2.3.
|
||||
- Implement triggers to keep list of "aliased" compilers up to date on the fly.
|
||||
- Add gcc32 and a bunch of legacy packages to the list of overridden compilers.
|
||||
|
||||
* Sat Aug 2 2003 Ville Skyttä <ville.skytta@iki.fi> - 0:2.2-0.fdr.6
|
||||
- Add c++ to the list of overridden compilers (bug 548).
|
||||
- Own everything including dirs under %%{_libdir}/ccache (bug 529).
|
||||
- %%{buildroot} -> $RPM_BUILD_ROOT.
|
||||
- Fix man page permissions.
|
||||
- Use %%{?_smp_mflags}.
|
||||
- Other cosmetic specfile tweaks.
|
||||
|
||||
* Sat Mar 29 2003 Warren Togami <warren@togami.com> 2.2-0.fdr.5
|
||||
- Epoch: 0
|
||||
- Remove /usr/lib/ccache/sbin from PATH
|
||||
|
||||
* Fri Mar 28 2003 Warren Togami <warren@togami.com> 2.2-0.fdr.4
|
||||
- Add BuildRequires: autoconf >= 0:2.52
|
||||
- Add Requires: gcc, gcc-c++ (minimal expectation of compilers)
|
||||
|
||||
* Fri Mar 28 2003 Warren Togami <warren@togami.com> 2.2-0.fdr.3
|
||||
- No longer use %%ghost, symlinks always exist
|
||||
|
||||
* Thu Mar 27 2003 Warren Togami <warren@togami.com> 2.2-0.fdr.2
|
||||
- Move symlinks to /usr/lib/ccache/bin
|
||||
- Use /etc/profile.d/ccache.* scripts to add it to PATH
|
||||
As long as it is before /usr/bin it is good.
|
||||
|
||||
* Thu Mar 27 2003 Warren Togami <warren@togami.com> 2.2-0.fdr.1
|
||||
- Move symlinks to /bin since it seems to be at the beginning of PATH of all users
|
||||
before /usr/bin, the location of the real compiler.
|
||||
- Package symlinks rather than create and remove during %%post and %%postun
|
||||
|
||||
* Thu Feb 20 2003 Warren Togami <warren@togami.com> 2.2-4.fedora.1
|
||||
- Fedora
|
||||
|
||||
* Thu Feb 20 2003 Samir M. Nassar <rpm@redconcepts.net> 2.2-3.redconcepts
|
||||
- Added symlinks to g++
|
||||
- Removed symlink removal in post
|
||||
|
||||
* Thu Feb 20 2003 Samir M. Nassar <rpm@redconcepts.net> 2.2-2.redconcepts
|
||||
- Cleans symlinks if present to make upgrades easier
|
||||
|
||||
* Thu Feb 20 2003 Samir M. Nassar <rpm@redconcepts.net> 2.2-1.redconcepts
|
||||
- Upgraded to ccache 2.2
|
||||
|
||||
* Tue Feb 04 2003 Samir M. Nassar <rpm@redconcepts.net> 2.1.1-4.redconcepts
|
||||
- Using %%post to create the soft symlinks
|
||||
- Using %%postun to remove the soft symlinks
|
||||
- Thanks to Che <che666@uni.de> for the help
|
||||
- Packaged as user
|
||||
|
||||
* Sun Jan 19 2003 Samir M. Nassar <rpm@redconcepts.net> 2.1.1-3.redconcepts
|
||||
- make a soft symlink between ccache and gcc
|
||||
- make a soft symlink between ccache and cc
|
||||
|
||||
* Thu Jan 16 2003 Samir M. Nassar <rpm@redconcepts.net> 2.1.1-2.redconcepts
|
||||
- Normalized spec file.
|
||||
|
||||
* Wed Jan 15 2003 Samir M, Nassar <rpm@redconcepts.net> 2.1.1-1.redconcepts
|
||||
- Using ccache 2.2.1 sources
|
||||
- Changed release to redconcepts for consistency
|
||||
|
||||
* Tue Oct 22 2002 Samir M. Nassar <rpm.redconcepts.net> 1.9-1.rcn
|
||||
- Initial RedConcepts.NET (rcn) build for Red Hat Linux 8.0
|
||||
|
|
|
|||
2
sources
2
sources
|
|
@ -1 +1 @@
|
|||
SHA512 (ccache-3.7.7.tar.gz) = c079c94bc7edb7e17eb2650f4775fa53e1f6807fd2e1ce1f3b0dfc96b5de658787688876aaeacde2648dd8972191f1a1a99aaf4ab9114ae85ffbcff73445a99f
|
||||
SHA512 (ccache-4.12.2.tar.gz) = e078a393f41660e401c3a2795fe2c2784413fe9e15313e7a996cd321e0180d5b5b89faf723a4fe3e6414ee644de198707b6bf6d0f003bdf2cd49fad0288bdf73
|
||||
|
|
|
|||
Loading…
Add table
Add a link
Reference in a new issue